Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# Utilities

can.detect_available_configs(interfaces=None)

  Detect all configurations/channels that the interfaces could currently connect with.

  This might be quite time-consuming.

  Automated configuration detection may not be implemented by every interface on every platform. This method will not raise an error in that case, but with rather return an empty list for that interface.

  Parameters:

    interfaces (None | str | Iterable[str]) – either - the name of an interface to be searched in as a string, - an iterable of interface names to search in, or - None to search in all known interfaces.

  Return type:

    list[dict]

  Returns:

    an iterable of dicts, each suitable for usage in the constructor of `can.BusABC`.